%global _empty_manifest_terminate_build 0
Name:		python-backcall
Version:	0.2.0
Release:	1
Summary:	Specifications for callback functions passed in to an API
License:	BSD License
URL:		https://github.com/takluyver/backcall
Source0:	https://files.pythonhosted.org/packages/a2/40/764a663805d84deee23043e1426a9175567db89c8b3287b5c2ad9f71aa93/backcall-0.2.0.tar.gz
BuildArch:	noarch


%global _description\
Specifications for callback functions passed in to an API\
If your code lets other people supply callback functions, it's important to\
specify the function signature you expect, and check that functions support that.\
Adding extra parameters later would break other peoples code unless you're careful.
%description %_description

%package -n python3-backcall
Summary:	Specifications for callback functions passed in to an API
Provides:	python-backcall
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-backcall %_description

%package help
Summary:	Development documents and examples for backcall
Provides:	python3-backcall-doc
%description help %_description

%prep
%autosetup -n backcall-0.2.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-backcall -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jun 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
